Skip to main content
GET
/
billing
/
usage
Get usage summary
curl --request GET \
  --url https://api.rendobar.com/billing/usage
{
  "data": {
    "totalJobs": 123,
    "totalAmountCharged": 123,
    "totalAmountFormatted": "<string>",
    "totalProviderCost": 123,
    "totalInfraCost": 123,
    "totalMargin": 123,
    "totalProfit": 123,
    "totalComputeSeconds": 123,
    "byJobType": {},
    "daily": [
      {
        "date": "<string>",
        "jobType": "<string>",
        "jobCount": 123,
        "amountCharged": 123,
        "computeSeconds": 123
      }
    ]
  }
}

Query Parameters

start
string

Start date (YYYY-MM-DD). Defaults to first of current month.

Pattern: ^\d{4}-\d{2}-\d{2}$
Example:

"2026-03-01"

end
string

End date (YYYY-MM-DD). Defaults to today.

Pattern: ^\d{4}-\d{2}-\d{2}$
Example:

"2026-03-13"

Response

Usage summary

data
object
required